Package org.eclipse.emf.compare.ide.ui.internal.logical.resolver

# Class DefaultImplicitDependencies

java.lang.Object
org.eclipse.emf.compare.ide.ui.internal.logical.resolver.DefaultImplicitDependencies

All Implemented Interfaces:
  `IImplicitDependencies`

public class DefaultImplicitDependencies extends Object implements IImplicitDependencies
Default implementation of `IImplicitDependencies`, which uses the extensions collected by the registry of the modelDependencyProvider extension point.

## Constructor Summary

Constructors
Constructor
Description
`DefaultImplicitDependencies()`

## Method Summary

Modifier and Type
Method
Description
`Set<URI>`
`of(URI uri, URIConverter uriConverter)`
Provides a set continaing the given URI plus its implicit dependencies (those that cannot be found by instpecting the cross-references of the resource represented by the given URI).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultImplicitDependencies

public DefaultImplicitDependencies()

## Method Details

### of

public Set<URI> of(URI uri, URIConverter uriConverter)
Description copied from interface: `IImplicitDependencies`
Provides a set continaing the given URI plus its implicit dependencies (those that cannot be found by instpecting the cross-references of the resource represented by the given URI).

Specified by:
  `of` in interface `IImplicitDependencies`
Parameters:
  `uri` - URI of a model resource for which we want the set of related dependencies
  `uriConverter` - URI Converter to use
Returns:
  Must return a Set that's never null nor empty, that contains at least the given uri, plus its implicit dependencies if it has any..